/***********************************************************************
*           See Accompanying licence file QSAS_licence                 *
***********************************************************************/


#ifndef MINVAR
#define MINVAR   // if not defined, define and include rest of file.

#ifndef __cplusplus
#define __cplusplus
#endif

#include "PlotWindow.h"

#include "qdutil.h"
#include "qplug_if.h"
#include "Qdos.h"

//#define VERBOSE_MV     // for extra diagnostics

/* C++ prototypes */

void mvplot(QdRMatrixSeq_var vts_out, 
            QdRMatrix_var Eigenvalues, QdRMatrix_var Rmatx);


QplugReturnStatus  MV_analyse(QdRMatrixSeq_var ts_out,
                              QdRMatrix_var Eigenvalues,
                              QdRMatrix_var Rmatx);


QplugReturnStatus   MV_plot_results(QdRMatrixSeq_var vts_out, 
                                    QdRMatrix_var Eigenvalues, 
				    QdRMatrix_var Rmatx);



extern "C" {


}  // end extern "C"
  
#endif    // end define MINVAR
