#ifndef PATHCONFIG_H
#define PATHCONFIG_H

#include <QObject.h>
#include "qt_version.h"
#include <QMainWindow>
#include <QGridLayout>
#include <QLineEdit>
#include <QLabel>
#include <QPushButton>
#include <QFileDialog>
#include "qt_version.h"
#include "qprofile.h"

class PathConfig : public QWidget
{
	Q_OBJECT
			
	public:
		PathConfig();
		
		void setSelectedProfile(QProfile * p);
		
		void updateProfile(QProfile * p);
	
	public slots:
		
		void saveRestorePressed();
		void userPressed();
		void configPressed();
		void dataPressed();
		void filterBankPressed();
		void blackBoxPressed();
		
	protected:
		
		QLineEdit * saveRestoreLine;
		QLineEdit * userLine;
		QLineEdit * configLine;
		QLineEdit * dataLine;
		QLineEdit * filterBankLine;
		QLineEdit * blackBoxLine;
		
		int currentId;
};

#endif
